Bug 204123 - dvdisaster throws an error on quit because of double free or corruption
Summary: dvdisaster throws an error on quit because of double free or corruption
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dvdisaster (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-25 18:30 UTC by Till Maas
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.70.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 12:44:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of running dvdisaster in gdb with backtrace (5.13 KB, text/plain)
2006-08-25 18:30 UTC, Till Maas
no flags Details
Incorrect memory free fix (6.17 KB, patch)
2006-09-08 20:07 UTC, Carsten Gnoerlich
no flags Details | Diff

Description Till Maas 2006-08-25 18:30:47 UTC
Description of problem:

If a start dvdisaster and quit it, a lot of errors are displayed on stdout

Version-Release number of selected component (if applicable):

0.70.1

How reproducible:

alwas

Steps to Reproduce:
1. run dvdisaster in an terminal
2. quit
3. look at output
  
Actual results:
error message (see attachment)

Expected results:
no output

Comment 1 Till Maas 2006-08-25 18:30:48 UTC
Created attachment 134948 [details]
output of running dvdisaster in gdb with backtrace

Comment 2 Dmitry Butskoy 2006-08-28 11:19:19 UTC
You can switch off this report specifying zero for malloc check, i.e.:
"MALLOC_CHECK_=0 dvdisaster".
Surely the bug itself will not disappear :), but perhaps it is not too critical...

Report this upstream.

Comment 3 Dmitry Butskoy 2006-08-28 11:20:31 UTC
I mean "I already have reported this upstream". :)

Comment 4 Carsten Gnoerlich 2006-09-03 18:42:43 UTC
Just a small update: The upstream is working on it, 
but needs to do some more checks before releasing  
an update :-) 
 
Thanks to Dmitry for bringing this to my attention. 
 
Greetings, 
  Carsten 

Comment 5 Carsten Gnoerlich 2006-09-08 20:07:05 UTC
Created attachment 135872 [details]
Incorrect memory free fix

Comment 6 Carsten Gnoerlich 2006-09-08 20:09:14 UTC
Comment on attachment 135872 [details]
Incorrect memory free fix

Some PangoLayout objects were incorrecty freed by g_free() while
calling g_object_unref() would have been correct.
Fixed and patches added; these will also be included in the 
0.70.2 maintenance release in a few days.

-- Carsten

Comment 7 Dmitry Butskoy 2006-09-11 12:44:46 UTC
Carsten, thanks for the patches.

New version will appear soon for download.


Note You need to log in before you can comment on or make changes to this bug.